Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.sql
Class SqlReader

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordReader
          com.servingxml.components.sql.SqlReader

All Implemented Interfaces:
  RecordReader

    public class SqlReader

extends AbstractRecordReader
implements RecordReader

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordReader
`NULL`

Constructor Summary
`SqlReader(JdbcConnectionPool connectionPool, SqlQuery sqlQuery)`

Method Summary
`void` | `readRecords(ServiceContext context, Flow flow)`
`protected void` | `readRecords(ServiceContext context, Flow flow, com.servingxml.components.sql.ReadRecord readRecord)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordReader
`close, discardRecord, endRecordStream, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter, startRecordStream, writeRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`discardRecord, getDiscardWriter, getExpirable, getKey, getRecordWriter, setDiscardWriter, setRecordWriter`

Constructor Detail

### SqlReader

    public SqlReader(JdbcConnectionPool connectionPool,
                     SqlQuery sqlQuery)

Method Detail

### readRecords

    protected void readRecords(ServiceContext context,
                               Flow flow,
                               com.servingxml.components.sql.ReadRecord readRecord)

### readRecords

    public void readRecords(ServiceContext context,
                            Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD